package com.ruoyi.ems.mapper;

import java.util.List;

import com.ruoyi.ems.domain.MeterDevice;
import org.apache.ibatis.annotations.Param;

/**
 * 计量设备Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-08
 */
public interface MeterDeviceMapper {
    /**
     * 查询计量设备
     *
     * @param id 计量设备主键
     * @return 计量设备
     */
    MeterDevice selectMeterDeviceById(Long id);

    /**
     * 查询计量设备
     *
     * @param areaCode   区域code
     * @param deviceCode 设备code
     * @return 计量设备
     */
    MeterDevice selectMeterDeviceByCode(@Param("areaCode") String areaCode, @Param("deviceCode") String deviceCode);

    MeterDevice selectMeterDeviceByObj(@Param("objType") int objType,
        @Param("objSubType") int objSubType,
        @Param("objCode") String objCode,
        @Param("meterCls") int meterCls);

    /**
     * 查询计量设备列表
     *
     * @param meterDevice 计量设备
     * @return 计量设备集合
     */
    List<MeterDevice> selectMeterDeviceList(MeterDevice meterDevice);

    /**
     * 新增计量设备
     *
     * @param meterDevice 计量设备
     * @return 结果
     */
    int insertMeterDevice(MeterDevice meterDevice);

    /**
     * 修改计量设备
     *
     * @param meterDevice 计量设备
     * @return 结果
     */
    int updateMeterDevice(MeterDevice meterDevice);

    /**
     * 删除计量设备
     *
     * @param id 计量设备主键
     * @return 结果
     */
    int deleteMeterDeviceById(Long id);

    /**
     * 批量删除计量设备
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteMeterDeviceByIds(Long[] ids);
}
